/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.GrupoCortesiasDAO;
import com.rjconsultores.ventaboletos.entidad.GrupoCortesia;
import com.rjconsultores.ventaboletos.service.GrupoCortesiasService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Shiro
 */
@Service("grupoCortesiaService")
public class GrupoCortesiasServiceImpl implements GrupoCortesiasService {

    @Autowired
    private GrupoCortesiasDAO grupoCortesiasDAO;

    public List<GrupoCortesia> obtenerTodos() {
        return grupoCortesiasDAO.obtenerTodos();
    }

    public GrupoCortesia obtenerID(Integer id) {
        return grupoCortesiasDAO.obtenerID(id);
    }

    @Transactional
    public GrupoCortesia suscribir(GrupoCortesia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return grupoCortesiasDAO.suscribir(entidad);
    }

    @Transactional
    public GrupoCortesia actualizacion(GrupoCortesia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return grupoCortesiasDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(GrupoCortesia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        grupoCortesiasDAO.actualizacion(entidad);
    }

    public List<GrupoCortesia> buscar(String descgrupo) {
        return grupoCortesiasDAO.buscar(descgrupo);
    }
}
